package com.mosty.yszx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.yszx.TbYsGajg;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author dw
 * @since 2022/7/20
 **/
@Mapper
public interface TbYsGajgMapper extends BaseMapper<TbYsGajg> {

    @ApiOperation("新增公安机关要素")
    int insertEntity(TbYsGajg gajg);

    @ApiOperation("获取公安机关详情")
    TbYsGajg getInfoById(String id);

    @ApiOperation("修改公安机关要素")
    void updateEntity(TbYsGajg gajg);

    @ApiOperation("查询公安机关总数")
    int getCount(Map<String, Object> map);

    @ApiOperation("查询公安机关列表分页")
    List<TbYsGajg> getListPage(Map<String, Object> map);

    @ApiOperation("查询公安机关列表-不分页")
    List<TbYsGajg> getList(Map<String, Object> map);
}
